For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Details
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert BigCommerce Customer Group into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company Catalog
              • PUTUpdate Company Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompanies

Bulk Create Companies

POST
https://api-b2b.bigcommerce.com/api/v3/io/companies/bulk
POST
/api/v3/io/companies/bulk
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/companies/bulk \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "adminFirstName": "Marie",
> "adminLastName": "Curie",
> "adminEmail": "m.curie@greatbuys.com"
> },
> {
> "adminFirstName": "John",
> "adminLastName": "Doe",
> "adminEmail": "j.doe@techinnovators.com"
> },
> {
> "adminFirstName": "Linda",
> "adminLastName": "Smith",
> "adminEmail": "l.smith@greenearthsolutions.com"
> }
>]'
1{
2 "code": 200,
3 "meta": [
4 {
5 "companyId": 101
6 },
7 {
8 "companyId": 102
9 },
10 {
11 "companyId": 103
12 }
13 ],
14 "data": {
15 "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
16 }
17}

Creates multiple Company accounts at once. You can create up to 10 Companies in a single request.

See Create a Company for recommendations on formatting individual Companies in the array.

Was this page helpful?
Previous

Convert BigCommerce Customer Group into Company

Next

Update Companies (batch)

Built with

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Request

This endpoint expects a list of objects.
companyNamestringRequired>=1 character
companyEmailstringRequired>=1 character
adminFirstNamestringRequired1-100 characters
The first name of the Company account administrator.
adminLastNamestringRequired1-100 characters
The last name of the Company account administrator.
adminEmailstringRequiredformat: "email"1-100 characters

The email address of the Company account administrator. If an existing BigCommerce customer account uses this email address, it is automatically linked to the administrator’s Company user account.

customerGroupIdintegerOptional

The ID of the BigCommerce customer group assigned to the Company account. This field can be static or configurable depending on whether or not your store uses Independent Companies behavior. See Independent Companies Behavior for more information.

adminPhoneNumberstringOptional1-100 characters
The phone number of the Company account administrator.
userExtraFieldslist of objectsOptional
Extra fields to apply to the Company administrator user.
acceptWelcomeEmailbooleanOptional
If user accepts, the system sends a welcome email.
extraFieldsobjectOptional
Extra fields you want to add to the company fields.
channelIdslist of integersOptional

The storefront channel IDs in which buyers can access their Company’s Buyer Portal. Use 1 for your store’s default storefront channel.

originChannelIdintegerOptional

The storefront channel ID designated as the origin for the Company administrator. Use 1 for your store’s default storefront channel.

Response

OK
codeinteger
metalist of objects
dataobject

Errors

400
Bad Request Error
409
Conflict Error
413
Content Too Large Error
422
Unprocessable Entity Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.